^_^

2014年5月15日星期四

ejabberd @ mac osx : ejabberd installation

1. 下载最新 ejabberd 14.05
2. 注意先确认 Requirements 组件是否已安装:
GNU Make
GCC
Libexpat 1.95 or higher
Erlang/OTP R15B or higher.
Libyaml 1.4 or higher
OpenSSL 0.9.8 or higher, for STARTTLS, SASL and SSL encryption.
Zlib 1.2.3 or higher, for Stream Compression support (XEP-0138). Optional.
PAM library. Optional. For Pluggable Authentication Modules (PAM). See section 3.1.5.
GNU Iconv 1.8 or higher, for the IRC Transport (mod_irc). Optional. Not needed on systems with GNU Libc. See section 3.3.8.
ImageMagick’s Convert program. Optional. For CAPTCHA challenges. See section 3.1.9.
exmpp 0.9.6 or higher. Optional. For import/export user data with XEP-0227 XML files.
3. 按照下面步骤安装即可:
tar zxvf ejabberd-14.05.tgz
cd ejabberd-14.05
./configure
make
sudo make install
4. 在 shell 里面输入如下 command 确认 ejabberd 运行正常
foolmbpr:ejabberd-14.05 foolbear$ sudo ejabberdctl start
foolmbpr:ejabberd-14.05 foolbear$ sudo ejabberdctl status
The node ejabberd@localhost is started with status: started
ejabberd community 13.12-119-g47a39ce is running in that node

FYI:《ejabberd 文件分析
本站文章除注明外,均为本站原创
转载请注明文章转载自: 大笨熊乐园 [ http://blog.foolbear.com/ ]
文章标题: ejabberd @ mac osx : ejabberd installation
文章地址: http://blog.foolbear.com/2014/05/ejabberd-mac-osx-ejabberd-installation.html

没有评论 :

发表评论

Related Posts with Thumbnails